Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface ProjectState

    public interface ProjectState

`ProjectState` provides information about the execution state of a project.

Method Summary
`boolean` | `getExecuted()`
`Throwable` | `getFailure()` Returns the exception describing the project failure, if any.
`void` | `rethrowFailure()` Throws the project failure, if any.

Method Detail

### getExecuted

    public boolean getExecuted()

  Returns true if this project has been evaluated.

  Returns:
    true if this project has been evaluated.

### getFailure

    public Throwable getFailure()

  Returns the exception describing the project failure, if any.
  Returns:
    The exception, or null if project evaluation did not fail.

### rethrowFailure

    public void rethrowFailure()

  Throws the project failure, if any. Does nothing if the project did not fail.

Gradle API 1.1-rc-1